%Test script for ACHAIM_Chars.m
%Running this in the same directory as ACHAIM_Chars.m and example.db will
%generate example output which can be compared with example.dat to ensure
%your install of ACHAIM_Chars is correct

%set the input variables
latitude = [70 80]; %geographic (degrees)
longitude = [120 130]; %geographic (degrees)
altitude = [300 300]; %km

%creating the full path to the example DB file
[path,~,~] = fileparts(which('ACHAIM_Chars'));
dbFile = strcat(path,filesep(),"example.db");

data = ACHAIM_Chars(latitude, longitude, altitude, dbFile, 'tec');
dataECHAIM = ECHAIM_Chars(latitude, longitude, altitude, dbFile, 'tec');

disp(data);
disp(dataECHAIM);